import { EventHandler } from "./EventHandler";
export declare class Consumer {
    private pulsarMasterFactory;
    startConsumer(topic: string, version: string, eventHandler: EventHandler): Promise<void>;
    consumeFromMaster(topic: string, version: string, eventHandler: EventHandler): Promise<void>;
}
